package com.sibvisions.apps.timereport;

import com.sibvisions.apps.server.object.IWorkScreenAccess;
import com.sibvisions.apps.server.object.MemWorkScreenAccess;
import com.sibvisions.apps.server.object.WorkScreenConfig;
import com.sibvisions.rad.server.GenericBean;

public class Session extends GenericBean 
{
	public IWorkScreenAccess getWorkScreenAccess() throws Exception
	{
		IWorkScreenAccess wsac = (IWorkScreenAccess)get("workScreenAccess");
		
		if (wsac == null)
		{
			MemWorkScreenAccess mwsac = new MemWorkScreenAccess();

			WorkScreenConfig wosc = new WorkScreenConfig();
			wosc.setClassName("com.company.shop.screens.ManagerWorkScreen");
			wosc.setMenuStructure("Shop");
			wosc.setText("Manager");
			
			wsac.addScreen(wosc);
			
			put("workScreenAccess", mwsac);
            
            return mwsac;
		}
		
		return wsac;		
	}
}
